package net.ihe.gazelle.tempgen.rules.analyzer;

/**
 * 
 * @author Abderrazek Boufahja
 *
 */
public enum AnalyzerEnum {
	
	RD_MAX_MULTIPLICITY_PROCESS("RD_MAX_MULTIPLICITY_PROCESS"),
	RD_MIN_MULTIPLICITY_PROCESS("RD_MIN_MULTIPLICITY_PROCESS"),
	RD_MANDATORY_PROCESS("RD_MANDATORY_PROCESS"),
	DT_PROCESS("DT_PROCESS"),
	RD_VOCAB_PROCESS("RD_VOCAB_PROCESS"),
	IMPORT_PROCESS("IMPORT_PROCESS"),
	RULE_DEF_GENERAL_PROCESS("RULE_DEF_GENERAL_PROCESS"),
	RD_PROP_PROCESS("RD_PROP_PROCESS"),
	RD_TEXT_PROCESS("RD_TEXT_PROCESS"),
	RD_INC_PROCESS("RD_INC_PROCESS"),
	CHOICE_PROCESS("CHOICE_PROCESS"), 
	TEMPLATE_PROCESS("TEMPLATE_PROCESS"),
	RD_ISCLOSED_PROCESS("RD_ISCLOSED_PROCESS"),
	RD_ASSSERT_PROCESS("RD_ASSSERT_PROCESS"), 
	RD_CONTAIN_PROCESS("RD_CONTAIN_PROCESS"),
	CONTAIN_MIN_MULTIPLICITY_PROCESS("CONTAIN_MIN_MULTIPLICITY_PROCESS"),
	CONTAIN_MAX_MULTIPLICITY_PROCESS("CONTAIN_MAX_MULTIPLICITY_PROCESS"),
	CONTAIN_MANDATORY_PROCESS("CONTAIN_MANDATORY_PROCESS");

	private String value;

	private AnalyzerEnum(String value) {
		this.value = value;
	}
	
	public String getValue() {
		return value;
	}

}
